eoEvalContinue(3)

NAME
eoEvalContinue - Continues until a number of evaluations has been made.

SYNOPSIS

#include <eoEvalContinue.h>

Inherits eoContinue< EOT >< EOT >.

  Public Member Functions
eoEvalContinue (eoEvalFuncCounter< EOT > &_eval, unsigned long _totalEval)
Ctor.
virtual bool operator() (const eoPop< EOT > &_vEO)
Returns false when a certain number of evaluations has been done.
virtual unsigned long totalEvaluations ()
Returns the number of generations to reach.
virtual std::string className (void) const

  Private Attributes
eoEvalFuncCounter< EOT > & eval
unsigned long repTotalEvaluations

Detailed Description

  template<class EOT> class eoEvalContinue< EOT >
Continues until a number of evaluations has been made.

Definition at line 36 of file eoEvalContinue.h.

Author

Generated automatically by Doxygen for EO from the source code.